Package org.apache.sling.jcr.contentloader

# Interface ContentImportListener

@ConsumerType public interface ContentImportListener
Listener interface to provide callbacks for all imported updates for interested parties. This is primarily used to record the modifications during the "import" post operation.

## Method Summary

Modifier and Type
Method
Description
`void`
`onCheckin(String srcPath)`
A versionable Node has been checked in.
`void`
`onCheckout(String srcPath)`
A versionable Node has been checked out.
`void`
`onCopy(String srcPath, String destPath)`
An Item has been copied to a new location.
`void`
`onCreate(String srcPath)`
A Node has been created.
`void`
`onDelete(String srcPath)`
An Item has been deleted.
`void`
`onModify(String srcPath)`
Content has been updated.
`void`
`onMove(String srcPath, String destPath)`
An Item has been moved to a new location.
`void`
`onReorder(String orderedPath, String beforeSibbling)`
A child Node has been reordered.

## Method Details

### onModify

void onModify(String srcPath)
Content has been updated. The source path provides the path of the modified Item.

Parameters:
  `srcPath` - the path that was modified

### onDelete

void onDelete(String srcPath)
An Item has been deleted. The source path provides the path of the deleted Item.

Parameters:
  `srcPath` - the path that was deleted

### onMove

void onMove(String srcPath, String destPath)
An Item has been moved to a new location. The source provides the original path of the Item, the destination provides the new path of the Item.

Parameters:
  `srcPath` - the path that was moved
  `destPath` - the path to which the node was moved

### onCopy

void onCopy(String srcPath, String destPath)
An Item has been copied to a new location. The source path provides the path of the copied Item, the destination path provides the path of the new Item.

Parameters:
  `srcPath` - the path that was copied
  `destPath` - the path to which the node was copied

### onCreate

void onCreate(String srcPath)
A Node has been created. The source path provides the path of the newly created Node.

Parameters:
  `srcPath` - the path that was created

### onReorder

void onReorder(String orderedPath, String beforeSibbling)
A child Node has been reordered. The orderedPath provides the path of the node, which has been reordered. ThebeforeSibbling provides the name of the sibling node before which the source Node has been ordered.

Parameters:
  `orderedPath` - the path of the node which has been reodered
  `beforeSibbling` - the name of the sibling the node was ordered before

### onCheckin

void onCheckin(String srcPath)
A versionable Node has been checked in. The source path provides the path of the newly checked in Node.

Parameters:
  `srcPath` - the path that was checked in
Since:
  2.1.4

### onCheckout

void onCheckout(String srcPath)
A versionable Node has been checked out. The source path provides the path of the newly checked out Node.

Parameters:
  `srcPath` - the path that was checked out
Since:
  2.1.4